package com.tourism.webadmin.app.website.service;

import cn.dev33.satoken.session.SaSession;
import cn.dev33.satoken.stp.StpUtil;
import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.BooleanUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.tourism.common.core.constant.ApplicationConstant;
import com.tourism.common.core.constant.ErrorCodeEnum;
import com.tourism.common.core.object.LoginUserInfo;
import com.tourism.common.core.object.ResponseResult;
import com.tourism.common.core.object.TokenData;
import com.tourism.common.core.util.*;
import com.tourism.common.satoken.util.SaTokenUtil;
import com.tourism.webadmin.app.website.dto.TourUserRegisterDto;
import com.tourism.webadmin.app.website.model.TourUser;
import com.tourism.webadmin.app.website.model.constant.TourUserStatus;
import jakarta.servlet.http.HttpServletRequest;

import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import java.nio.charset.StandardCharsets;
import java.util.Date;
import java.util.concurrent.TimeUnit;

/**
 * 注册校验方法
 * 
 * @author tourism
 */
public interface LoginToWebsiteService
{
    /**
     * 校验图形验证码
     *
     * @param code 验证码
     * @param uuid 唯一标识
     * @return 结果
     */
    public boolean validateCaptcha(String uuid, String code);
    /**
     * 校验短信验证码
     *
     * @param mobile 手机号
     * @param smsCode 短信验证码
     * @return 结果
     */
    public boolean validateSmsCode(String mobile,String smsCode);
    /**
     * 保存用户的预约信息
     *
     * @param bookMobile 预约手机号
     * @param bookName 预约姓名
     * @return 结果
     */
    public boolean saveBookInfo(HttpServletRequest request, String bookMobile, String bookName);
    /**
     * 保存用户的注册信息
     *
     * @param tourUserRegisterDto 预约手机号
     * @return 结果
     */
    public boolean saveRegisterUserInfo(TourUserRegisterDto tourUserRegisterDto);

}
