package com.tourism.webadmin.app.website.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.joda.time.DateTime;

import java.util.Date;
import java.util.Map;

/**
 * 门户预定管理VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "TourBookInfoVO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourBookInfoVo extends BaseVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private Long id;

    /**
     * 预定电话。
     */
    @Schema(description = "预定电话")
    private String bookMobile;

    /**
     * 预定姓名。
     */
    @Schema(description = "预定姓名")
    private String bookName;

    /**
     * 预定的ip。
     */
    @Schema(description = "预定的ip")
    private String bookIp;

    /**
     * 预定时间。
     */
    @Schema(description = "预定时间")
    private DateTime bookTime;

    /**
     * 是否处理(0:未处理 1:已处理)。
     */
    @Schema(description = "是否处理(0:未处理 1:已处理)")
    private String isHandle;

    /**
     * isHandle 全局字典关联数据。
     */
    @Schema(description = "isHandle 全局字典关联数据")
    private Map<String, Object> isHandleDictMap;
}
